## IdeFormatter IdeFormatter |

## Functions

void | ide_formatter_load ()
void | ide_formatter_format_async ()
gboolean | ide_formatter_format_finish ()
void | ide_formatter_format_range_async ()
gboolean | ide_formatter_format_range_finish ()

## Types and Values

#define | IDE_TYPE_FORMATTER
struct | IdeFormatterInterface
| IdeFormatter

## Object Hierarchy

        GInterface
        ╰── IdeFormatter

## Prerequisites

IdeFormatter requires GObject.

## Known Implementations

IdeFormatter is implemented by IdeLspFormatter.

## Description

## Functions

### ide_formatter_load ()

    void
    ide_formatter_load (IdeFormatter *self);

### ide_formatter_format_async ()

    void
    ide_formatter_format_async (IdeFormatter *self,
                                IdeBuffer *buffer,
                                IdeFormatterOptions *options,
                                GCancellable *cancellable,
                                GAsyncReadyCallback callback,
                                gpointer user_data);

### ide_formatter_format_finish ()

    gboolean
    ide_formatter_format_finish (IdeFormatter *self,
                                 GAsyncResult *result,
                                 GError **error);

### ide_formatter_format_range_async ()

    void
    ide_formatter_format_range_async (IdeFormatter *self,
                                      IdeBuffer *buffer,
                                      IdeFormatterOptions *options,
                                      const GtkTextIter *begin,
                                      const GtkTextIter *end,
                                      GCancellable *cancellable,
                                      GAsyncReadyCallback callback,
                                      gpointer user_data);

### ide_formatter_format_range_finish ()

    gboolean
    ide_formatter_format_range_finish (IdeFormatter *self,
                                       GAsyncResult *result,
                                       GError **error);

## Types and Values

### IDE_TYPE_FORMATTER

    #define IDE_TYPE_FORMATTER (ide_formatter_get_type())

### struct IdeFormatterInterface

    struct IdeFormatterInterface {
      GTypeInterface parent;

      void     (*load)                (IdeFormatter         *self);
      void     (*format_async)        (IdeFormatter         *self,
                                       IdeBuffer            *buffer,
                                       IdeFormatterOptions  *options,
                                       GCancellable         *cancellable,
                                       GAsyncReadyCallback   callback,
                                       gpointer              user_data);
      gboolean (*format_finish)       (IdeFormatter         *self,
                                       GAsyncResult         *result,
                                       GError              **error);
      void     (*format_range_async)  (IdeFormatter         *self,
                                       IdeBuffer            *buffer,
                                       IdeFormatterOptions  *options,
                                       const GtkTextIter    *begin,
                                       const GtkTextIter    *end,
                                       GCancellable         *cancellable,
                                       GAsyncReadyCallback   callback,
                                       gpointer              user_data);
      gboolean (*format_range_finish) (IdeFormatter         *self,
                                       GAsyncResult         *result,
                                       GError              **error);
    };

### IdeFormatter

    typedef struct _IdeFormatter IdeFormatter;